Introducing Digital Photo Finalizer

Digital Photo Finalizer

Digital Photo Finalizer makes your photos look their best, and makes managing your photos easier.

There are two versions of Digital Photo Finalizer:

  • Lite Edition - (Free) Analyzes your photos and automatically adjusts them to make them look better.
  • Pro Edition - Has additional features including skin tone adjustment, batch processing, resizing, sharpening, and more.

See our online video demos and tutorials to learn more.

Topics in this section include:

  • What does Digital Photo Finalizer do?
  • Difference between Lite / Pro versions
  • System Requirements
  • License Agreement
  • Contact Us


What Does Digital Photo Finalizer do

Digital Photo Finalizer makes your digital photos look better and makes handling your digital photos much easier.

Better looking photos

Your digital cameras make a 'best guess' about the proper exposure and color balance when taking a photo. Sometimes your camera does okay, and sometimes it doesn't do as well. Even when you think a photo might look "acceptable", then oftentimes the photo can be made to look much better.

The Lite (FREE) Edition of Digital Photo Finalizer remedies this by:

  • Analyzing and automatically improving your digital photos
  • Providing you a quick and simple way to adjust the lightness and shadow detail of your photos

The Pro Edition lets you do a lot more, including:

  • "Skin Tone Finalizer" feature makes skin tones (which are the most important part of many photos) look their best
  • Sharpening adjustment to bring out image detail
  • Advanced fine tuning of the automatic photo adjustment settings
  • and more...

Convenience

The Lite Edition allows you to rotate your images, and has some other features to help you conveniently view your photos.

The Pro Edition includes extra features to make handling your digital photos much easier:

  • Batch process all your images at once (for image improvements, renaming photos, etc.)
  • Resizing your photos - (for emailing)

How to use Digital Photo Finalizer:

Digital Photo Finalizer is easy to use. You just open your image, and see the before/after photos. The analysis and auto-adjustment of your photo is automatically done. You can save the resulting photo, or make more changes (e.g. lightness adjustment, skin tone adjustment, etc.) before saving the final image.


Lite and Pro Editions

There are two versions of Digital Photo Finalizer. The first is the "Lite" Edition, which is free. It includes an auto-adjustment feature for your photos along with some other simple but very effective photo adjustments.

You can also upgrade to the "Pro" Edition which includes many additional features, including a "Skin Tone Finalizer" feature which makes skin tones look their best. The "Pro" Edition also includes many other photo improvement and convenience features.

Note: The download for the "Lite" and "Pro" Editions are the same file. When you upgrade to the Pro Edition, you are given a registration number which you input into the software to permanently unlock the Pro features.

When you first install the software, you will be able to use the Pro features on a trial basis (30 days). After the trial period expires then you will only be able to access the Lite Edition features. At any time you can upgrade to the Pro Edition by purchasing a registration code online and entering it into the software.

Lite / Pro Edition Feature Comparison

The following is a summary of which features are included in the Lite and Pro Editions of Digital Photo Finalizer:

You can read more about each of these features in this help documentation, and see demonstrations of these features in our online demos and tutorials.


System Requirements

Digital Photo Finalizer requires:

  • Windows 10, 8.1, 8, 7, or later
  • At least 40 MB of disk space
  • Microsoft .NET Framework 4.0 or later


License Agreement

PROGRAM USER LICENSE AGREEMENT

The installation and utilization of this product (hereinafter the "SOFTWARE") on your microcomputers are expressly subject to full and unreserved acceptance of this Software utilization license Agreement (hereinafter "license"). The license constitutes an agreement between you (a natural or legal person), the end user of the SOFTWARE (hereinafter the "USER") and the publisher of the SOFTWARE (hereinafter referred to as "PUBLISHER").

USER LICENSE

The PROGRAM is protected by international laws and treaties as regards intellectual property. No right of ownership is granted to the USER under the license, only a right of use is granted to the USER. By this license, the PUBLISHER grants the USER a personal, non-transferable right of use in accordance with the terms stated below:

The PROGRAM may be installed and used only by a single USER on a single computer at any one time. Consequently, the PROGRAM must not be installed, displayed, shared or used concomitantly from the computer or on distinct computers.

UNDER NO CIRCUMSTANCES CAN THE SOFTWARE EVER BE RESOLD BY A USER

OWNERSHIP / RESTRICTIONS

~ CONCERNING THE PROGRAM. The PUBLISHER reserves all rights, of any kind whatsoever, not expressly granted under the license. Modifying, adapting, translating, decompiling or undertaking any inverse engineering, disassembling or attempting to find out the source code of the PROGRAM is strictly prohibited.

~ CONCERNING THE MULTIMEDIA FILES PROVIDED WITH THE SOFTWARE. The PUBLISHER and its licensor(s) reserve all their intellectual property rights pertaining to multimedia files that may be provided with the PROGRAM: without limitation, images, audio or video files. The use of those files is reserved for the personal use of the license holder, excluding any other use and in particular (i) for commercial use, or (ii) if the PROGRAM is not used for its intended purpose.

PROTECTION AGAINST COPYING - LICENSE KEY - VERIFICATION MEASURES

The PROGRAM may include a technological measure to protect it against copying in order to prevent any unauthorized reproduction. In accordance with the law, the USER must not circumvent or attempt to circumvent any protective measure against unauthorized copying. Activating or running the PROGRAM beyond a certain period of time may require the entry of a license key (also referred to as a "Registration Code") previously supplied to the USER. The USER recognizes that the license key is the PUBLISHER's exclusive property, that it is strictly confidential information and that, consequently, it must not be disclosed to third parties. The USER undertakes to implement all means available and to act in good faith in order to protect the confidentiality of the license key.
As part of the measures for verifying the use of the license keys, when an Internet connection is open the PROGRAM may test the validity of the key used for the PROGRAM on the site of the USER’s computer. During this test, statistical information only is sent to the PUBLISHER: no nominative information and/or any information that is not directly related to the SOFTWARE license key is sent to the PUBLISHER or to third parties.

TERM

The license is made for an indefinite period. The license will be terminated automatically, without prior notice, in the event of breach by the USER of any one whatsoever of the provisions herein. Termination will result for the USER in the obligation to destroy all copies of the PROGRAM and associated documentation.

LIMITED WARRANTY

The PUBLISHER warrants that the physical medium carrying the PROGRAM is free from defects in materials and production for all normal uses. The warranty is valid for 90 days from delivery or from purchase of the PROGRAM. In the event of defect, the remedy offered by the PUBLISHER will, at its option, either be to replace the defective medium, or to refund the purchase price. The PUBLISHER warrants that the PROGRAM is in accordance with its documentation but gives no express warranty as to its correct operation and in particular that the PROGRAM will satisfy performance requirements or that it will run without discontinuity or bugs. The PUBLISHER gives no other express or implicit warranty under the license. The PUBLISHER has offered the PRODUCT in good faith. Any consequential damage due to the use of the PRODUCT is the sole responsibility of the user. The PUBLISHER is not responsible for any direct or indirect damages caused by the PROGRAM.

PARTIAL NON VALIDITY

If any one of the clauses or provisions in the license is ruled null and void or not written, the remaining provisions shall nonetheless remain valid.

ADDITIONAL INFORMATION

The file "Ionic.Zip.Reduced.dll" is a separate software component that is distributed with, and accessed by, Digital Photo Finalizer. "Ionic.Zip.Reduced.dll" contains the DotNetZip library and is an open source component which is distributed under the Microsoft Public License (Ms-PL).

HONOR ALL COPYRIGHTS FOR ANY DIGITAL IMAGES USED IN CONJUNCTION WITH THIS SOFTWARE

© SRS1 Software, LLC and its licensors – all rights reserved


Contact Us

For upgrades, product information, video demos and tutorials, you can visit the Digital Photo Finalizer website at:

https://www.SRS1Software.com/DPF

Digital Photo Finalizer is produced by SRS1 Software, LLC. You can contact us at feedback@SRS1Software.com

We hope you enjoy using this product!


Using Digital Photo Finalizer

Using Digital Photo Finalizer to adjust your photos is fairly straight-forward. The following is an overview of the process:

  1. Open Image - Click the 'Browse' button to select the image to open, or just drop the image from Windows onto the Digital Photo Finalizer window.
  2. See Before / After Images - Two images are displayed. The original image is shown on the left. On the right, the image is displayed after the "auto-adjustment" is applied.
  3. (optional) Make Further Adjustments to Image - Further adjustments are available on the image adjustment tab pages on the lower part of the Digital Photo Finalizer main window. The "Original" and "Final" images are always displayed so that you can see the effects of the adjustments that you are making to your image.
  4. Save Image - When you are happy with the results, click the "Save As" button to save your modified image.

Some other options that are available to you include:

  • See full size screen preview to compare original/final images
  • Rotate Image
  • Crop Image
  • Batch processing - process and rename a batch of images all in one step (Pro Edition)

These features are described in the following sections:

  1. Main Digital Photo Finalizer window
  2. Basic Adjustments
  3. Skin Tone Finalizer
  4. Resizing photos
  5. Sharpening photos
  6. Advanced auto-adjustment fine tuning
  7. Batch Processing
  8. Options

Video demonstrations of these features are also on our website.


Main Window

Digital Photo Finalizer Main Window

Main Window Layout

The major parts of the Digital Photo Finalizer main window include:

  • Original / Final Image Windows - At the top of the window are side-by-side displays of the original image and the image after your adjustments are applied.
  • Image Adjustment Tab Pages - On the bottom part of the window is a tab control which contains tab pages containing controls for making various types of adjustments to your images.
  • Quick Task Shortcut Buttons - Below the 'Final Image' window are several shortcut buttons for performing various tasks. These tasks include seeing a full screen preview, rotating your image, cropping your image, and skin tone adjustment ("Skin Tone Finalizer" feature).
  • Image Save Function Buttons - On the lower right of the main window are a series of buttons for saving your images ('Save As', Batch processing, etc.).

Adjusting Images

Once you open your image, you use the Image Adjustment tab pages to adjust your image:

  • Basic - Lets you control the auto-adjustment that is done to each image, and lets you do some basic lightness adjustment to bring out more shadow detail in your photos.
  • Dark/Light areas - Lets you separately adjust the dark and/or light areas of your image to make details more visible or boost contrast. This can help salvage backlit or poorly exposed images.
  • Fix skin tones - Lets you easily and effectively adjust the skin tones in your images.
  • Resize - Lets you resize your images for email, display, or any other purpose.
  • Sharpening - Lets you add intelligent sharpening to your images and lets you preview and analyze the results.
  • Advanced - The 'Advanced' and 'Advanced(2)' tabs let you do some advanced fine tuning of the auto-adjustment that is done to your photos.


Basic Adjustments

Auto-Adjustment

An auto-adjustment is performed on each image that is opened by Digital Photo Finalizer. That means that the image is analyzed and then adjusted to try to improve the colors and tone of the photo. The software tries to make the brightest possible whites and the darkest possible blacks without losing any image data.

The amount that each image will be changed depends on the image. Some images could be adjusted more, and some less. The before/after (labeled as 'Original'/'Final') images are displayed in the Digital Photo Finalizer main window.

The 'Basic' tab page contains several very simple, yet powerful, controls to change how much the auto-adjustment modifies your photo. Note that the features on this tab page are included in both the Lite and Pro Editions of Digital Photo Finalizer.

Basic Tab Page Controls

  • Allow Hue Adjust (checkbox) - Having this checked will allow the auto-adjustment to modify the 'hue' of your photo instead of just the tone. An example of modify 'hue' would be taking a photo that looks too red and making it look more neutral. By default the auto-adjustment will only modify the brightness and contrast of the image. Whether this makes your photo look better depends on the image. [Recommendation: It is very easy to click this option on/off and see the effect on your photo, so try it out if you want. For some images it won't make much difference, for some it will make the image look better, and some image will look better without this adjustment.]
  • Size of Automatic Adjustment (slider) - This control sets how much the auto-adjustment will change your image. Leaving the slider in the middle (value=0) will do the standard, default amount of adjustment that the analysis determines is needed for your image. Moving the slider to the left (negative number) does less adjustment to your image. All the way to the left (-5) will result in NO auto-adjustment changes to be applied to your image. Moving the slider to the right (above 0) adjusts your image even more than the analysis determines is neeeded. [Recommendation: In most cases, it is best to leave this slider in the middle, but you can easily move the slider and try out different settings for a particular image. You can always see the effects by comparing the 'Original Image' and 'Final Image' windows.]
  • Extra Lightness Adjustment (slider) - This control lightens/darkens your image without damaging the shadow and highlight parts of your image. Lightening your images with this adjustment can be a very simple and effective way to improve photos that were taken with imperfect lighting. Move the slider to the right to lighten your image and to the left to darken your image. [Recommendation: Leave this slider in the middle position by default, but don't be afraid to try lightening some of your images. Many digital photos can benefit from this kind of lightening adjustment. You can see the results immediately in the 'Final Image' window.]


Dark/Light Area Adjustments

Why you might need to adjust dark or light areas of your image separately

Improper lighting is one of the most common problems with digital photos. For example, you take a picture of a group of people, but they are beyond the range of the flash (which can be surprisingly short for compact digital cameras and even shorter for smartphone cameras). Another common scenario is that you photograph someone who is backlit (i.e. the sun is behind them, so their face is in the shadows). In the backlit case, a camera that is on "auto" flash mode will often not fire the flash because the overall scene might seem to have enough light.

Obviously, the best way to fix these situations is to do whatever it takes to use proper lighting when taking the photo. For example, you can force the flash to fire or get closer to your subjects when taking the photo. If the photo has already been taken, then it is too late for this. Editing is the only possible way to salvage your photo in this case, and editing will only work if there is still some detail in your image to be restored. For those cases, the Dark/Light area adjustment controls can be used to get the most out of your image.

Dark/Light Area Tab Page

The controls on the "Dark/Light area" tab page let you separately change the the dark and/or light areas of an image without changing the rest of the image. Typically you would use these controls to make the detail in the dark or light regions of a photo more visible. There are two slider controls on the tab page. One controls the tone of dark colors and the other controls the tone of light colors. Moving each of the sliders to the right tends to make details in the far ends of the tone curve (i.e. very dark parts of the image or very light parts of the image) more visible, but sacrifices contrast in that region. If there isn't much important detail in the dark or light areas of the image, then you can slide the control to the left and increase the contrast in that region. The increase in contrast might make the image look better.

Background Information

To get a better understanding of what these controls do, consider the data that comprises a digital photo. For simplicity, we will consider a black & white photo. The photo is made up of thousands or millions of individual dots that are referred to as "pixels". Each individual "pixel" has a lightness level which is represented by a number in the range from 0 to 255. 0 represents the darkest black and 255 represents the brightest white. (Note - color photos work the same way, except each pixel is represented by three numbers to distinguish color as well as lightness.)

This may seem obvious, but the details in a photo are shown as lightness differences between pixels. The bigger the differences (i.e. contrast), the more prominent and visible the details are. Another important point is that the range of lightnesses (a.k.a. "dynamic range") in the real world is much bigger than the dynamic range available on your computer screen. The lightest color in the real world is much lighter than 'white' on your computer screen, and the darkest color in the real world is much darker than the 'black' on your computer screen. The challenge in digital photography (and photography in general) is how best to represent a scene from the real world, with its much bigger dynamic range, on a computer screen that has a limited dynamic range. Digital cameras do a pretty decent job of this most of the time, but when the lighting is not good or the exposure is off, then there can be problems in the image.

Usage Example

Remember, there is a limited dynamic range (0 to 255 in pixel values) available in a digital image. You want the important parts of your image (e.g. a person's face, etc.) to occupy a good part of that range because you want the important parts of your image to be most visible and prominent. Let us consider an example of a backlit photo of a person. Most of the image would be well exposed, but the subject's face is in a shadow and so it is not very visible. Maybe the pixel value range for the person's face are between 10 and 50, but if the image was well exposed then the person's face would be something like a pixel range of 20-130. Sliding The "Dark area adjustment" slider to the right will stretch the lower end of the tone curve, and make up for that by compressing the tones in the middle of the tone curve. In our example, maybe 10-50 would be stretched to a range of 20-120, and it would make the details in the subject's face more visible. It would lower the contrast of the image overall, but the important part of the image would look better.

Fixing overexposed images works similarly. Suppose that the important part of a particular image is the brightest part of the image, and your camera has over exposed it. In that case, the details in that region could look washed out and difficult to see. You could then slide the "Light area adjustment" slider to the right to try to pull out more details from the brightest part of your image. You can move the slider different amounts to see which adjustment amount produces the best results.

Additional Tips

Most of the time when you use these controls, you will be moving the slider to the right to try to salvage detail from a poorly exposed image. As mentioned before, if your image is too over/under exposed, and your image doesn't have enough detail to salvage then nothing will bring back the image detail. That is why you should do whatever you can to try to properly expose your image when you take it.

Another thing to keep in mind is that moving the slider all the way to the right can be an extreme change to your image. It can have a negative effect on your image by adding artifacts that don't look right. Therefore, it is good to be conservative with these adjustments. In any case, you can see the effects of the changes that you make immediately, so you can judge what the optimum adjustments are for your image.


Skin Tone Tab

Skin Tone Adjustment

Why Skin Tone Adjustment is Important

In images that have people in them, skin tone (color) is usually the most critical color to get right. When a skin tone is off by even a small amount, then it can have a very negative effect on image quality. Conversely, a pleasing skin tone can really make an image look excellent.

Capturing the huge gamut of brightness levels and colors in a scene, and satisfactorily representing them all in the limited color space of a digital image, can be difficult. Digital cameras do their best to properly set the exposure, color, and white point for each photo, but the results are not always as good as can be. Oftentimes peoples faces end up looking slightly off (pale, or bluish colored from the camera's bluish colored flash, etc.).

Consistently "perfect" exposure and color is almost impossible. For example, in one photo a person's face might be 50% illuminated by a yellowish incandescent light bulb light near them and 50% by the blue/white light from a flash. In the next photo perhaps the photographer stands a little further back and the subject's face is now illuminated 70% by the yellowish incandescent bulb and 30% by the blue/white flash. It is very difficult for the camera to correctly adjust the color of the persons face in all these situations.

The result is that faces and skin tones are rarely "perfect" in digital photos. Most of the time, people just accept what the digital camera gives them as being "good enough" because they don't have any other easy way to improve the skin tone.

The "Skin Tone Finalizer" feature (on the 'Fix skin Tone' tab page) in Digital Photo Finalizer fixes this. It lets you easily make the skin tones in digital images look perfect. It can even make other adjustments to a skin tone, such as giving a person a sun tan.

Overview of "Skin Tone Finalizer"

Before starting, here are a few important points about what the "Skin Tone Finalizer" skin tone adjustment does:

  • Only Changes Skin Colors and Nothing Else - Digital Photo Finalizer only changes the skin tone colors in your image and leaves other colors untouched.
  • Changes Chroma (i.e. Color Saturation), and hue, not Lightness - The automatic skin tone adjustments that are done are based on color saturation (C*) and hue(h*). There is no automatic adjustment of skin tone lightness (L*).

To adjust skin tone colors with Digital Photo Finalizer, you need to tell the software what color skin tones currently are in your photo, and then what color you want them to be. You do this by clicking on a skin tone in your image, and then picking an 'aim color' from a list. This is described in detail in the next section.

Procedure to Adjust Skin Tones

The following is the procedure for adjusting skin tones with Digital Photo Finalizer (assumes that you have an image open, and the "Skin Tone" tab page selected):

  1. Activate Skin Tone Adjustment - Check the "Adjust skin tone" option checkbox to turn on skine tone adjustment.
  2. Click on Skin Area in Image - Move the mouse over the "Final Image" window. You will notice that the cursor will turn into a small sampling square. Click on a skin area in the image. This defines the original skin tone color in your image. You can change the sampling square size via the "Samp. size" control located in the "Current skin sample" area of the "Skin Tone" tab page. (Note that you click on the skin area in the "Final" window instead of the "Original" window because the skin tone adjustment is performed after all other adjustments are performed on your image.)
  3. Set the Aim Skin Tone - You now need to tell the software what color you want the skin to be adjusted to. This aim color is defined by two numbers: C* ("Chroma" or color saturation) and h* (hue). There are two ways that you can select the aim skin tone color. You can select a preset skin color from the "Present Colors" dropdown control, or you can directly move the aim color marker (green circle) on the skin tone color gradient square. To directly move the aim color marker, you can drag it or click on the four buttons around the skin color gradient square to move it in a particular direction.
  4. (Optional) Adjust Fix Percentages - You can adjust the how aggressive a skin tone fix you want performed (i.e. do you want to force current skin tones to exactly match the aim color, or will you allow a partial match). By default an exact (100%) match is attempted for h* (hue), since hue is very important and is not affected by picture-to-picture variations in exposure, etc. A 75% match for C* (color saturation) is attempted because saturation tends to vary more in images. This 75% setting means that the C* will pushed in the right direction but the software will not commit to matching the exact aim value every time. Note that setting the values of both C* and h* at 0% will perform no skin tone fix at all.
  5. View Results & Adjust as Needed - When a change is made, then the skin tone fix will be re-calculated and applied to the final image. Also, the original, aim, and final skin tone colors are shown in a table and plotted on the skin tone gradient square. To change the results you can change the aim color (by selecting a new preset color or manually changing it), or click on a new skin tone area of your image to reset the "original" skin color to a new color.

Other Options

Lightness (L*)

You can manually lighten or darken the skin tone via the "Lightness (L*) shift" control. Small shifts should not be a problem, but if you attempt L* shifts that are too large then sometimes you can get results that aren't very smooth and don't look natural. The automatic skin tone adjustment that the software performs does not change skin tone lightness.

Editing 'Preset Colors'

The "Preset Colors" list is a very convenient way to try out various aim skin tone colors and see the effect on your image. The software comes with a set of default preset colors, but you can edit the preset colors or add your own new colors via the "Skin Tone" tab page on the Digital Photo Finalizer "Options" dialog. A quick way to reach this is to clicking the "Edit" button which next to the "Preset Colors" dropdown control.


Resizing Photos

Why you need to resize your images

Most digital cameras take photos which are much higher resolution than needed for simple viewing. This is not necessarily a bad thing. You will need the higher resolution if you are printing, cropping, or otherwise adjusting your photos. Also, high resolution means that more fine detail is captured in your photos.

The problem is that high resolution makes the file sizes of your photos very large. If you are emailing the photos, then attaching the large files to the email can be a problem. The solution to this problem is to make resized (smaller) copies of your photos just for emailing and simple viewing (e.g. slideshows on your computer screen). You can still keep a copy of the original high resolution version of the photos for future printing or any other use.

Resize Tab Page

If you want Digital Finalizer to change the size of your photo, then check the "Resize the image" checkbox on the "Resize" tab page. The "Resize presets" control lets you select final sizes for your photo that are ideal for some common tasks such as emailing. When you select one of these preset sizes, then the values in the "Restrict width" and "Restrict height" controls will be set appropriately. You can also manually set values of these controls instead of using one of the preset values.

When Digital Photo Finalizer resizes an image, it will always maintain the aspect ratio of the image. This is necessary to keep the image from becoming distorted. Digital Photo Finalizer reduces the width and/or height of the image as specified by the "Restrict width" and "Restrict height" controls, while maintaining the aspect ratio of the image.

For example, if your original image is 1000 pixels wide and 1000 pixels high, and you select to restrict width to 640 pixels and restrict height to 480 pixels, then you will end up with an image that is 480 x 480 pixels. The width restriction would result in an image that was 640 x 640 and the height restriction would result in a 480 x 480 image. To meet both restrictions, the image would be 480 x 480.

Auto-rotate

In some cases you might want a particular size, but don't really care whether the image is landscape mode (width larger than the height) or portrait mode (width smaller than the height). In those cases you can check on the "Auto-rotate" checkbox. This will rotate the image to match the orientation of the width and height restrictions before doing the resize, and then rotate the image back to its original orientation afterwards.

For example, consider if your restricted width is 640 and your restricted height is 480. This is a landscape orientation (width is greater than height). If you original image was a portrait image (e.g. 2000 width x 3000 height), and the "Auto-rotate" was selected, then internally it would switch the width and height restrictions to match the orientation of your image. This will result in an image which is 640 x 213. If this "Auto-rotate" was not selected then the final image would be 480 x 160.

Note: With "Auto-rotate" on, you can switch size limit values for "restricted width" and "restricted height", and your image results will be the same. Another way of saying this is that with "Auto-Rotate" unchecked, "width" really means "width" and "height" really means "height". With "Auto-Rotate" checked, if the restricted width is smaller than the restricted height, then "width" really means "the shorter dimension of your photo".

Resize Quality

A bi-cubic algorithm is used to resize images in Digital Photo Finalizer in order to produce top quality results.

Note also that increasing the size of your photos is not possible with Digital Photo Finalizer. Increasing the size of your photos "invents" fake pixel values in your images and is not very useful. This is why it is always good to keep the original high resolutions versions of your images.


Sharpening Photos

[Important Note: The effects of sharpening are NOT shown in the "Final Image" window. When you turn on sharpening in Digital Photo Finalizer, you need to click on the "Preview" button on the sharpening tab page to see the effect on your photo. This opens the custom sharpening preview window. This is necessary because image sharpness and noise cannot be evaluated properly unless the image is displayed at its natural resolution. In the "Final Image" window, the image displayed is resized to fit the window.]

Image Sharpening Introduction

Image sharpening is an image processing operation which makes details in an image look sharper and more visible. This is achieved by increasing the local contrast of edges in an image. It is important to realize, though, that digital sharpening cannot create detail where detail does not exist. It can only make detail in an image appear more visible.

The next thing to understand about sharpening is that there is a direct tradeoff between image sharpness and image noise. Noise is an unwanted variation in the tone or color of your image (e.g. film grain). Sharpening an image adds to the noise in the image. When sharpening an image, the key is to find the best compromise between sharpness and noise.

Unsharp Mask

Unsharp masking is a technique that allows enhancement of detail in images while not affecting (and increasing the noise in) smooth areas of an image. This helps reduce the some of the negative effects of regular sharpening. This is the sharpening technique that Digital Photo Finalizer uses.

Using Digital Photo Finalizer Sharpening

The sharpening feature is part of the "Pro" Edition of Digital Photo Finalizer. You will be able to use sharpening if you have upgraded to the Pro Edition, or if you are using the Pro Trial.

To activate sharpening of an image, check the "Sharpen the image" checkbox in the "Sharpening" tab page. Next, select one of the choices in the "Sharpening presents" control. Lighter sharpening will affect the image less. Heavier sharpening will sharpen the image more but could also add unacceptable levels of noise to your image. Selecting one of the preset choices will set the two "Sharpening details" parameter values ("Sharpening kernel diameter" and "Subtleness"). These values define exactly how sharpening is performed on your image.

Sharpening Kernel Diameter

This parameter describes how large an area is analyzed around each pixel when performing the sharpening. A larger value will result in more sharpening of your image. It will also take longer to process the image. If you set this value too high then the image can end up looking unacceptably grainy.

Subtleness

This parameter determines how subtle to apply the sharpening. A low value applies a stronger sharpening. A high value applies a smoother, less harsh sharpening. A lower value accentuates more of the differences that are found when analyzing the area around each pixel.

Seeing Results

As mentioned above, when you turn on sharpening, the image in the "Final Image" window does NOT show any sharpening. The only true way to judge sharpness and noise in an image is to see the image displayed at its natural resolution. The "Final Image" photo is resized to fit the "Final Image" window, so it is not used to display sharpening results.

Click the "Preview" button on the sharpening tab page to perform the sharpening on your image and to view the results in a special "Sharpening Preview" window. In the window that appears, you will be shown a side-by-side view of the original and final sharpened images. Since the natural resolution of the image must be used, you probably will only be able to see a portion of your image in the window. At the bottom of the window is a thumbnail view of your image, along with a green rectangle drawn on it that highlights the area of the image currently being displayed. Drag the green rectangle to change the area of the image that you want to see compared. Note that detailed areas such as eyes, faces, and hair are oftentimes the best places in an image to compare when analyzing sharpening.


Advanced Adjustments

Advanced Tabs

Fine Tuning the Auto-Adjustment

The two 'Advanced' tab pages allow you to finely tune the way that "auto-adjustment" of each photo is done. The sections below here describe how the auto-adjustment works, and then how it can be fine tuned.

How the Auto-Adjustment Works

Digital photos are made up from a series of many "pixels". These are the individual color points that make up an image. Each pixel in your image has a red, green, and blue value. These can range, for 24 bit images (3 channels x 8 bits per channel), from a value of 0 to a value of 255. Black is represented when the red, green, and blue values for a pixel are all 0. White is represented when the red, green, and blue values for a pixel are all 255.

The auto-adjustment in Digital Photo Finalizer looks for the darkest and lightest pixels in your image, and then adjusts your image to force those areas to be approximately black and white respectively. This fully utilizes the contrast that is available on your screen, printer, or wherever you are viewing your images, and basically helps make your photos look as good as possible.

"Clipping" Amount and Black/White Point

There are a few more important details for how this is done. To be sure that it is finding the actual darkest (or lightest) pixels in your image, and not just some stray pixel, the software doesn't just look at the single lowest (or highest for the case of white) single pixel value in the image. It looks for 99.5th percentile lowest red, green, and blue value. And then does the same for the white values. This percentage is referred to as the amount of "clipping" because it also determines the amount of data in your photo that could be lost ("clipped") by the adjustment. The default "clipping" value is set to 0.5%.

Given this "clipping" percent, the software looks at an image and calculates the "white point" and "black point". The black point is the red, green, and blue values which are darker than 99.5% (or 100% minus the clipping %) of the rest of the image pixels. The white point is the red, green, blue values lighter than 99.5% (or 100% minus the clipping %) of the rest of the image pixels.

The image is then adjusted to make the black and white points equal to 0 and 255 respectively. The adjustment is in the form of an offset and gain applied to each pixel in the image. The clipping percentage value affects how your final image will look. A higher clipping percentage will increase the contrast of your final image, but could cause some loss of image detail. A lower clipping value will affect your image less.

If the "Allow HUE adjustment" check box is left unchecked then the red/green/blue color differences of the black and white points will be maintained. For example, if the white point was 250,200,200 for red, green, and blue then the image probably had reddish highlights. Having "Allow HUE adjustment" option unchecked would result in an adjustment that would keep this reddish color. Having "Allow HUE adjustment" checked would result in an adjustment that would reduce the reddish color of the image.

The "Advanced" and "Advanced(2)" tabs let you fine tune how all this processing is done for each image.

Advanced Tab Page

The first "Advanced" tab page lets you set the clipping percent for black and white, and also lets you override the individual red, green, and blue values found for the white point and black point. Besides that, it lets you set limits on the amount that each image will be adjusted.

Clipping Percent

When you change the clipping percent for black/white then a new black/white point is calculated based on the image data. The new red, green and blue values for the black/point values are displayed on the form. The image is then reprocessed and the "Final" image is updated to reflect the new values.

Black/White Point Red, Green, Blue, Luminance Values

You can see the red, green, and blue values of the black/white point updated when the clipping percent changes. You can manually override any of these values and see the effect on the final image.

The "Luminance" value is the equivalent neutral value for your black/white point colors. If you want to lighten or darken the black or white point while preserving its existing hue, then you can change this value. It will adjust the red, green, and blue values together.

Image Adjustment Limits

Some limits are placed on how must adjustment the "auto-adjustment" can make to an image. These limits are displayed and can be adjusted on the "Advanced" tab page. The limits restrict the amount of offset and gain to be applied to an image's pixels the "auto-adjustment".

The purpose of this is to limit the adjustments on very unusual images. These limits shouldn't affect most of your images. If any of the limits are actually affecting a particular image adjustment then the limit is highlighted in red on the form.

Advanced(2) Tab Page

The "Advanced(2)" tab page lets you further fine tune the adjustments available on the "Basic" tab.

Hue Adjustment Level

The "Allow HUE adjustment" checkbox on the "Basic" tab page lets you choose whether you want the auto-adjustment to be able to adjust the hue of your image instead of just the tone. The checkbox is an all-or-nothing selection.

The "Hue Adjustment Level" slider on the "Advanced(2)" tab page lets you select a partial hue adjustment. Moving the slider all the way to the right is equivalent to having the "Allow HUE adjustment" checkbox on the "Basic" tab page checked. Moving the slider all the way to the left is equivalent to having the "Allow HUE adjustment" checkbox on the "Basic" tab page unchecked.

You would use this "Hue Adjustment Level" slider when you like the hue adjustment that the auto-adjustment does, but you think it is doing too much hue adjustment. For example, setting this slider to the middle will set the hue adjustment to about half of what it would have been if the "Allow HUE adjustment" checkbox was checked.

Lightening (gamma) Level

The "Lightening (gamma) Level" slider lightens/darkens your image similarly to how the "Extra Lightness Adjustment" control on the "Basic" tab page does, but it gives you much finer control. Note also that the value listed on the control range from 0.1 to 4.0. The -5, +5 values of the "Basic" tab page correspond to 0.5, 1.7 on this scale, respectively. A value of 1.0 makes no lightness adjustment to the image.


Rotating Images

Overview

Digital Photo Finalizer lets you rotate your images in 90 degree increments. To access the "Rotate Image" dialog, click on the "Rotate Image" button in the "Quick Task Shortcut Buttons" area located under the "Final" image window. You can also access the "Rotate Image" dialog via the "Tools"-->"Rotate Image..." menu option.

Rotate Image Dialog

The "Rotate Image" dialog contains radio button controls that let you specify which rotation (if any) to apply to your image. The rotations listed are always referenced to the original image (as it was when it was first opened). After you select an image rotation, you click the "Ok" button to close the dialog and apply the new image rotation. You will then immediately see the rotation applied to your image.

Note: The rotation settings are maintained while scrolling through images in a folder using the "Previous Image" ("<<") and "Next Image" (">>") buttons. For example, consider the case where you have three images in a folder. Imagine that you then rotate the first image by 90 degrees clockwise. If you then click the "Next Image" (">>") button to open the next image in the folder, and then click the "Previous Image" ("<<") button to go back to your first image. In that case, your first image will still be rotated 90 degrees clockwise. Of course, the image is never saved until you explicitly save it. The rotation settings are discarded when you either navigate to another image folder or close Digital Photo Finalizer.


Cropping Images

Overview

Digital Photo Finalizer lets you crop your images. To access the "Crop Image" window, click on the "Crop Image" button in the "Quick Task Shortcut Buttons" area located under the "Final" image window. You can also access the "Crop Image" window via the "Tools"-->"Crop Image..." menu option.

Cropping an Image

The "Crop Image" window displays your current image. You select the area of your image that you want to crop by clicking and dragging over the area with your mouse. Your selection will be outlined by a red rectangle.

If you are not satisfied with your selection then you can remove the crop outline by clicking the "Clear" button. You can also outline a new area in your image and the previous crop outline will be removed. To adjust an existing crop area, move the mouse over the middle, corners, or sides of the crop selection. You will see the cursor change as you do this. You can then hold down the mouse button and drag the entire crop rectangle, or just a side or corner of the crop rectangle to reshape it.

Once you are satisfied with your selection, then you can click the "Crop" button to crop the image. You can go through this process multiple times to zoom in more or fine tune the crop selection. You can click the "Undo" button to undo one or more of your crops.

To accept the selected crop, click the "Ok" button. This will close the "Crop Image" window and will update Digital Photo Finalizer with your cropped image. If you click the "Cancel" button then the "Crop Image" window will close and no crop will be performed.

In the Digital Photo Finalizer main window, you can undo all cropping by selecting the "Tools"-->"Reset Image Crop" menu option. This will reload your original image and discard any image cropping done.

Cropping Options

The left side of the "Crop Image" window contains several group boxes that give you information your cropping.

Selection Constraints

This section lets you restrict the aspect ratio or size of your crop. These options can be helpful for printing and other applications. You can either set no constraints on your crop area, constrain the aspect ratio of the crop area, or you can set the exact width and height of the crop selection.

To constrain the aspect ratio of your crop, select the "Aspect Ratio" radio button in the "Selection Constraints" section. You then need to select the aspect ratio that you want the crop to be constrained to. A dropdown box is provided that contains a list of some of the most common aspect ratios that you might want to use. Otherwise, you can manually enter a custom width and height for the aspect ratio constraint.

You can also choose to set the exact height and width (in pixels) of your crop region. You do this by selecting the "Actual Size" radio button, and then by setting the width ("W:") and height ("H:") number controls to the exact width and height. These define the exact size, in pixels, that your crop will be.

Size

This section displays some important information about your image and crop selection. It shows the size, in pixels, of both. Next, it shows the aspect ratio (width/height) of both, and then the number of mega-pixels of your original image and the crop area selection. The number of mega-pixels is important because cropping an image reduces its size. It is important to know whether the resolution of the cropped image will be adequate for printing, or for whatever else you are doing with your cropped image.

Selection

This section shows the coordinates of the section of your image that you have selected. You can manually adjust the crop selection coordinates here to fine tune your selection. It is very important to note that these coordinates are shown for the original, full resolution image. The displayed image is usually partially resized to fit the display window. This means that the displayed crop rectangle might look like it is a different size than the coordinates shown in this section. For example, consider if you have a 30 mega-pixel image, and you set your crop area to be what looks like a 50 x 50 pixel area the display. The listed crop size might be much larger than that (e.g. 300 x 300). This would be because the 50 x 50 area highlighted on the display corresponds to a 300 x 300 pixel area in the high resolution original image. Of course it is the same part of the image, but the original has more pixels in it because it is higher resolution than the display.


Batch Processing

What is Batch Processing

Batch Processing is a Digital Photo Finalizer Pro Edition feature that allows you to apply auto-adjustment and other image processing options to a number of photos all at once. The batch processing feature can be accessed by clicking on the "Batch" button on the main dialog or by selecting the "Tools"-->"Batch Process..." menu item from the main menu.

Processing Operations available with Batch Processing

Batch processing can apply the following adjustments a set of photos:

  • Auto-adjustment (including any generic customizations of the auto-adjustment that you specify)
  • Extra lightness adjustment
  • Resizing
  • Sharpening

Operations that are interactive or rely on a particular photo are not applied. These include:

  • Skin tone adjustment
  • Custom white point Red, Green, Blue settings for auto-adjustment (on "Advanced" tab page)

In general, photo adjustments that require user interaction cannot be batch processed. For example, skin tone adjustment requires the user to click on the area of the image where the skin tones are. Different photos can have different lighting conditions, and hence different "original" skin tone colors. Batch processing would not work well for this because you would not be able to specify the proper "original" skin tone color for each photo.

Setting custom black/white point values disables the auto-adjustment . When this is done, then the red, green, and blue values that you specify for the black/white points are are used to process the image. The purpose of manually setting these values is usually to achieve a particular effect for a particular image. Since different images might have different needs, it probably would not be useful to process a batch of different photos all with these same values.

Batch Processing Procedure Overview

Preparing to process a batch of digital photos with Digital Photo Finalizer consists of three steps:

  1. Choose which photos to batch process
  2. Choose what you want done to the photos
  3. Choose where you want the new images to be saved and what to name them.

After these steps, then you are ready to click the "Process Images Now" Button and start batch processing the images.

Step #1 Choose Photos to Process

The first step is to select the folder on your computer that contains the digital photos that you want to process. You do this by clicking the "Select Folder" button in the top left of the Batch Processing dialog. Select the folder from the dialog that opens, and then click the 'Ok' button.

Next, in the "Choose Images to Process" group box, you choose which images in the selected folder that you want to process. You can choose to process all images in the folder, or you select the "Customize Image List" option to manually select which photos to process. If you choose the customize option, then you click the "..." button next to the "Customize Image List" option button to open the "Image Selection Dialog".

The "Image Selection Dialog" contains two lists. One is a list of photos not to include in the batch processing, and the other is the list of photos to include. To move photos from one list to the other, click on the image name and then click the "add >>" or "<< remove" buttons. Thumbnail previews of the images are shown when you click on them. When you first open the dialog, all images are in the "Images to NOT process" list. You can click on each image, see the thumbnail preview, and decide if you want it added to the list of photos to batch process.

A count of how many photos are in the selected folder, and how many have been chosen for processing is shown at the lower left of the Batch Processing dialog.

Step #2 Choose Which Processing to Perform on Photos

The Batch Processing dialog uses the image processing settings that you set in the main window. For example, if you want your photos to be resized for email in the batch processing, then you would go to the main window, select the resizing tab page, check the "Resize the image" checkbox option, and select the "Email - Medium" resize preset value.

Note: The image processing tabs on the main window display a green checkmark icon when they are set to do something. For example, for resizing, the icon will be green when you check the "Resize the image" checkbox option. If "Resize the image" is unchecked then no resizing will be done and the icon on the tab will remain blue.

In the "Select what to do" section in the middle of the Batch Processing window, all image processes that have been activated on the main window will be listed. This reminds you what you have set for processing, and it also gives you an opportunity to remove some processing steps by unchecking them. If you uncheck an option in this list then that image processing step will not be performed in the batch processing. For example, if you decide against resizing then you can either go back to the "Resizing" tab page on the main window and uncheck the option there, or you can uncheck "Resizing" in the Batch Processing window.

The "Auto-adjustment" option will always be listed, although you can uncheck it to to not perform an auto-adjustment. If you have set the "Extra lightness shift" from the "Basic" tab page or the "Lightening (gamma) level" from the "Advanced(2)" tab page, then these will show up as "Lightness" on the list.

Step #3 Select Where and How to Save the New Images

Digital Photo Finalizer can save the new images produced during Batch Processing into a folder, or into a zip (compressed) file. You indicate where you want the images saved via the option buttons on the top right of the Batch Processing window. If you select the "Other folder" or "Zip file" options, then you need to click the "..." button next to the option and select the location of the folder or zip file.

Note: Saving images to a zip file is especially convenient for attaching photos to an email. You only have to attach one (zip) file to the email instead of all the individual photos.

You can also indicate which file format you want your new images to be saved as. Images saved as Jpeg will be saved with the quality setting listed in Digital Photo Finalizer Options dialog. By default, the each of the new images are saved in the same format as the original image. You can override this and specify a particular file format by selecting the "Specify" option in the "Image format" group box, and then choosing the image format from the dropdown control below there.

Last, you need to select how your new images will be named. There are three parts to the new name construction:

  • "Start with" (text box)
  • "Then insert original name" (checkbox)
  • "End with" (text box)

Names for each image are generated by taking what you enter in the "Starts with" textbox, appending the original filename (if you have that option checked on), and then appending on what you enter in the "Ends with" text box. A file extension will be added automatically to match the image file type (e.g. ".jpg" will be added if the file is saved as a jpeg).

If you include a "#" (without the quotation marks) in any of your name parts, then at that location an incrementing number will be inserted when the files are saved (e.g. 01, 02, ...). This is a very useful feature when saving your images. You need to make a unique filename for each image, and this helps achieve this easily.

Consider the following examples. Imagine that you take a vacation to Florida and take digital photos. Your camera names the photos img0001.jpg, img0002.jpg.... img0020 . You batch process the images and set the following options for renaming as:

  • Start with = Florida_
  • Then insert original name = (unchecked)
  • End with = "#"

The resulting photos will be saved as: Florida_01.jpg, Florida_02.jpg... Florida_20.jpg.

Alternatively, you could have chose:

  • Start with = Florida_
  • Then insert original name = (checked)
  • End with = (blank)

The resulting photos will be saved as: Florida_img0001.jpg, Florida_img0002.jpg, ... Florida_img0020.jpg.

Finally, if you are saving the images to a folder other than the folder where your source images are, then you can keep the same names as the original images by selecting the following options:

  • Start with = (blank)
  • Then insert original name = (checked)
  • End with = (blank)

Note: You can set the default values for some of these Batch Processing settings via the options dialog.

Step #4 Start Processing Images

At this point, you are ready to click the "Start Processing Images" button to start the batch processing.

Before the processing actually starts, you will be shown a confirmation dialog. It will show the original and final names for each image. It also checks for name conflicts, and lets you adjust the names. If you use a "#", then you can choose to start the incrementing numbers at a value other than "1", and you can also add padding zeros to the inserted number text (e.g. to force "001" instead of just "1").

When the processing starts, a progress bar appears and a cancel button is shown to allow you to quit the processing any time. Processing time depending on the processing options chosen, and the sizes and the number of the images that are being processed.


Options Dialog

Overview

The Digital Photo Finalizer "Options" dialog allows you to set various application options. To open the "Options" dialog, either select the "Tools"-->"Options..." menu item, or click the "Options" button on the lower right of the main window. Options are grouped into several tab pages (each described below here).

Saving Images tab page

Jpeg Quality

In this section, you choose the quality level to use when Jpeg images are saved (0 - 100 scale). Saving a Jpeg image with a higher quality setting will result in a larger file size but will degrade image quality less. A lower quality setting saves disk space by producing a smaller file size, but degrades image quality more. You can select a jpeg quality option from the "Preset levels" dropdown control, or you can manually set the quality number. Note that the Jpeg quality option only affects images saved in jpeg format.

Exif Tags

Most digital camera photos contain embedded photographic information in them (e.g. lens settings, whether the flash was used, etc.). The "Maintain existing EXIF tags in images" option will try to maintain that information when you edit an image and save a new version of the image.

Filenames tab page

Default 'Save As' filename

In this section, you choose the default filename that is used when you click the 'Save As' button. If you are manually processing many images, then this is a useful thing to be able to control. If you typically want to overwrite your images, then you would choose the 'Use original filename' option. Otherwise, if you wanted to save separate versions of your modified images, then you would want to choose the 'Use modified filename' option. With the latter option, you can specify text to add to the beginning and/or end of the filename. For example, if you entered 'Fixed_' in the 'Prepend to original filename' text box, and your original filename was 'Img0001.jpg', then the default 'Save As' filename would be 'Fixed_Img0001.jpg'. If you processed and saved many images manually with this option, then it would be easy to identify the set of images that you just modified by their 'Fixed_' prefix.

Advanced tab page

The "Advanced" tab page contains an option related by how the auto-adjustment for photos works. When the auto-adjustment corrects the black level of an image by a large amount, then sometimes the resulting image can look too dark. The "Add lightening to compensate for any shadow darkening that is applied" option compensates for this by adding some lightness to the image if needed. This option is turned on by default.

You can also customize the lightening ("gamma") that is added to the image by this compensation. This is defined by the amount of extra lightening to apply to an image per every 50 RGB units of black correction applied. For example, if this value is set to 0.30, and the auto-adjustment for an image adjusts the black level of the image by 25 RGB units, then an extra 0.15 lightness will be added to the image. This is equivalent to increasing the "Lightening (gamma) level" on the "Advanced(2)" tab page on the main window by 0.15.

Skin Tones tab page

The preset skin tone colors are listed, and can be edited, on this tab page. To change a skin tone color, select it from the "Saved Skin Tones" list box. The C* (saturation) and h* (hue angle) for the color will be displayed and plotted on the color gradient square. You can change either of these numbers directly, or you can change them by dragging the color marker (green circle) on, or clicking the buttons around, the color gradient square.

You can add or remove colors from the preset list via the "add(+)" / "remove(-)" buttons below the list. The "reset(0)" button resets the skin color list back to the factory defaults values.

Skin Tone Selection tab page

On this tab page you control the way that the "Skin Tone Adjustment" feature selectively adjusts colors in your image. When using the "Skin Tone Adjustment" feature, the current color of color skin tones in your image is determined by you clicking on a skin location in the image (e.g. click on a person's face). The software uses this information to calculate the color shift (h* hue angle and c* saturation) to apply to all skin tone colors in your image. The "Skin Tone Adjustment" feature only adjusts skin tone colors in your image and tries to avoid all other colors. The options on this tab page determine which range of colors will be classified as 'Skin Tones' to be modified in your image.

Selection (h*) Size

This is hue angle (h*) range that will be adjusted. For example, if your original skin tone color has a hue angle of 25 degrees h*, and you set this selection size to 10 degrees, then all colors in your image whose hue angle falls in the range of 25 +/- 10 (15 to 35) will be adjusted.

Setting this to a larger number means that more of your image will be affected by your skin tone adjustment. Setting this to a lower number means that less of your image will be affected. You want to set this number so that it is large enough to include all the actual skin tones in your image. You might want to just leave the value set to the default value, and then change it if you think the results aren't optimal for a particular image or set of images.

Transition (h*) Size

This is the size of the transition range between the colors that are adjusted and the colors that aren't adjusted. This transition range is needed to avoid artifacts in the areas between adjusted and unchanged colors in your image.

For example, if the selected hue angle range is 25 +/- 10 (15 to 35) then colors with a hue angle of 35 degrees will be fully adjusted. If colors with a hue angle of 36 weren't adjusted at all, then this could produce visible contour artifacts in your image, and could look bad. This would correspond to a transition size of zero. If a transition size of 20 degrees hue angle (h*) was used, then a color that had a hue angle of 36 degrees would get 95% of the adjustment, 45 degrees would get 50% of the adjustment, and colors that were 55 degrees and higher would get no adjustment. This gradual tailing off of the adjustment eliminates artifacts and makes the image look natural.

In general, larger transition sizes make the image look smoother. Smaller transition sizes allow for a more precise color adjustment, but start to run the risk of having your images look unnatural. You probably should try the default transition size value first, and change it from there if needed for a particular image or set of images.

Batch Processing tab page

This tab contains the default values for options related to batch processing of images. When you open the Batch Processing dialog, these will be the initial values. You can then change the settings for that particular batch of images. See the batch processing help page for more information on these options.

Location to save images

Here you can select the default location for saving batches of processed images.

Image format

Here you can select the default options for which format the batch processed images are saved in.

Image names

Here you can select the default options for how batch processed images are named.

General options tab page

This tab contains some general options for Digital Photo Finalizer

Automatically check for new versions of this program

Selecting this option will allow the software to check for any new versions that have been released and are ready for download. This check happens in the background when the program starts and does not otherwise affect the program. If a new version is found, then a dialog will be displayed with information about the new version along with a download link. Note also that the new version notification dialog has a "Do not show this reminder again" checkbox on it. Selecting this option will unselect the "Automatically check for new versions of this program" option.

Applying Changes to Options

The changes that you make in the "Options" dialog are not applied until you click the "Apply" or "Ok" buttons. The "Ok" button closes the dialog after applying the changes.